Net::Server::Proto::UNIXDGRAM(3)

NAME
Net::Server::Proto::UNIXDGRAM - Net::Server UNIXDGRAM protocol.

SYNOPSIS
See Net::Server::Proto.

DESCRIPTION
Protocol module for Net::Server. This module implements the UNIX SOCK_DGRAM socket type. See Net::Server::Proto.

Any sockets created during startup will be chown'ed to the user and group specified in the starup arguments.

PARAMETERS
The following paramaters may be specified in addition to normal command line parameters for a Net::Server. See Net::Server for more information on reading arguments.

udp_recv_len
    Specifies the number of bytes to read from the SOCK_DGRAM connection handle. Data will be read into $self->{'server'}->{'udp_data'}. Default is 4096. See IO::Socket::INET and recv.

udp_recv_flags
    See recv. Default is 0.

QUICK PARAMETER LIST
  Key               Value                    Default

  ## UNIXDGRAM socket parameters
  udp_recv_len      \d+                      4096
  udp_recv_flags    \d+                      0

LICENCE
Distributed under the same terms as Net::Server